/**
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2004 satoshi akabane(akabane@logical-paradox.org)
 *
 */
package org.logical_paradox.common.lang;

import junit.framework.TestCase;

/**
 * 可変長整数型クラスのテストケース
 * @author satoshi akabane@logical-paradox.org
 * @version 1.0
 */
public class VariableFormatNumberTest extends TestCase {
	// バイトストリームでの変換テスト
	public void testInOutByteStream() {
		long test1 = 1234566789;
		VariableFormatNumber vfn1 = new VariableFormatNumber(test1);
		byte[] streamedTest1 = vfn1.byteStream();
		VariableFormatNumber vfn2 = new VariableFormatNumber(streamedTest1);

		assertEquals(test1, vfn2.longValue());		


		long test2 = -987654321;
		VariableFormatNumber vfn3 = new VariableFormatNumber(test2);
		byte[] streamedTest2 = vfn3.byteStream();
		VariableFormatNumber vfn4 = new VariableFormatNumber(streamedTest2);
	}
}
